Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsArpTable({
arpTableId: "string",
serial: "string",
});
export const merakiDevicesLiveToolsArpTableExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_arp_table(arp_table_id="string",
serial="string")
pulumi.export("merakiDevicesLiveToolsArpTableExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupLiveToolsArpTable(ctx, &devices.LookupLiveToolsArpTableArgs{
ArpTableId: "string",
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsArpTableExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsArpTable.Invoke(new()
{
ArpTableId = "string",
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsArpTableExample"] = example.Apply(getLiveToolsArpTableResult => getLiveToolsArpTableResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsArpTableArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsArpTable(GetLiveToolsArpTableArgs.builder()
.arpTableId("string")
.serial("string")
.build());
ctx.export("merakiDevicesLiveToolsArpTableExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsArpTable
arguments:
arpTableId: string
serial: string
outputs:
merakiDevicesLiveToolsArpTableExample: ${example.item}
Using getLiveToolsArpTable
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsArpTable(args: GetLiveToolsArpTableArgs, opts?: InvokeOptions): Promise<GetLiveToolsArpTableResult>
function getLiveToolsArpTableOutput(args: GetLiveToolsArpTableOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsArpTableResult>def get_live_tools_arp_table(arp_table_id: Optional[str] = None,
serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsArpTableResult
def get_live_tools_arp_table_output(arp_table_id: Optional[pulumi.Input[str]] = None,
serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsArpTableResult]func LookupLiveToolsArpTable(ctx *Context, args *LookupLiveToolsArpTableArgs, opts ...InvokeOption) (*LookupLiveToolsArpTableResult, error)
func LookupLiveToolsArpTableOutput(ctx *Context, args *LookupLiveToolsArpTableOutputArgs, opts ...InvokeOption) LookupLiveToolsArpTableResultOutput> Note: This function is named LookupLiveToolsArpTable in the Go SDK.
public static class GetLiveToolsArpTable
{
public static Task<GetLiveToolsArpTableResult> InvokeAsync(GetLiveToolsArpTableArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsArpTableResult> Invoke(GetLiveToolsArpTableInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsArpTableResult> getLiveToolsArpTable(GetLiveToolsArpTableArgs args, InvokeOptions options)
public static Output<GetLiveToolsArpTableResult> getLiveToolsArpTable(GetLiveToolsArpTableArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsArpTable:getLiveToolsArpTable
arguments:
# arguments dictionaryThe following arguments are supported:
- Arp
Table stringId - arpTableId path parameter. Arp table ID
- Serial string
- serial path parameter.
- Arp
Table stringId - arpTableId path parameter. Arp table ID
- Serial string
- serial path parameter.
- arp
Table StringId - arpTableId path parameter. Arp table ID
- serial String
- serial path parameter.
- arp
Table stringId - arpTableId path parameter. Arp table ID
- serial string
- serial path parameter.
- arp_
table_ strid - arpTableId path parameter. Arp table ID
- serial str
- serial path parameter.
- arp
Table StringId - arpTableId path parameter. Arp table ID
- serial String
- serial path parameter.
getLiveToolsArpTable Result
The following output properties are available:
- Arp
Table stringId - arpTableId path parameter. Arp table ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Arp Table Item - Serial string
- serial path parameter.
- Arp
Table stringId - arpTableId path parameter. Arp table ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Live Tools Arp Table Item - Serial string
- serial path parameter.
- arp
Table StringId - arpTableId path parameter. Arp table ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Arp Table Item - serial String
- serial path parameter.
- arp
Table stringId - arpTableId path parameter. Arp table ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Arp Table Item - serial string
- serial path parameter.
- arp_
table_ strid - arpTableId path parameter. Arp table ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Live Tools Arp Table Item - serial str
- serial path parameter.
- arp
Table StringId - arpTableId path parameter. Arp table ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetLiveToolsArpTableItem
- Arp
Table stringId - Id of the ARP table request. Used to check the status of the request.
- Entries
List<Get
Live Tools Arp Table Item Entry> - The ARP table entries
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Arp Table Item Request - ARP table request parameters
- Status string
- Status of the ARP table request.
- Url string
- GET this url to check the status of your ARP table request.
- Arp
Table stringId - Id of the ARP table request. Used to check the status of the request.
- Entries
[]Get
Live Tools Arp Table Item Entry - The ARP table entries
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Arp Table Item Request - ARP table request parameters
- Status string
- Status of the ARP table request.
- Url string
- GET this url to check the status of your ARP table request.
- arp
Table StringId - Id of the ARP table request. Used to check the status of the request.
- entries
List<Get
Live Tools Arp Table Item Entry> - The ARP table entries
- error String
- An error message for a failed execution
- request
Get
Live Tools Arp Table Item Request - ARP table request parameters
- status String
- Status of the ARP table request.
- url String
- GET this url to check the status of your ARP table request.
- arp
Table stringId - Id of the ARP table request. Used to check the status of the request.
- entries
Get
Live Tools Arp Table Item Entry[] - The ARP table entries
- error string
- An error message for a failed execution
- request
Get
Live Tools Arp Table Item Request - ARP table request parameters
- status string
- Status of the ARP table request.
- url string
- GET this url to check the status of your ARP table request.
- arp_
table_ strid - Id of the ARP table request. Used to check the status of the request.
- entries
Sequence[Get
Live Tools Arp Table Item Entry] - The ARP table entries
- error str
- An error message for a failed execution
- request
Get
Live Tools Arp Table Item Request - ARP table request parameters
- status str
- Status of the ARP table request.
- url str
- GET this url to check the status of your ARP table request.
- arp
Table StringId - Id of the ARP table request. Used to check the status of the request.
- entries List<Property Map>
- The ARP table entries
- error String
- An error message for a failed execution
- request Property Map
- ARP table request parameters
- status String
- Status of the ARP table request.
- url String
- GET this url to check the status of your ARP table request.
GetLiveToolsArpTableItemEntry
- Ip string
- The IP address of the ARP table entry
- Last
Updated stringAt - Time of the last update of the ARP table entry
- Mac string
- The MAC address of the ARP table entry
- Vlan
Id int - The VLAN ID of the ARP table entry
- Ip string
- The IP address of the ARP table entry
- Last
Updated stringAt - Time of the last update of the ARP table entry
- Mac string
- The MAC address of the ARP table entry
- Vlan
Id int - The VLAN ID of the ARP table entry
- ip String
- The IP address of the ARP table entry
- last
Updated StringAt - Time of the last update of the ARP table entry
- mac String
- The MAC address of the ARP table entry
- vlan
Id Integer - The VLAN ID of the ARP table entry
- ip string
- The IP address of the ARP table entry
- last
Updated stringAt - Time of the last update of the ARP table entry
- mac string
- The MAC address of the ARP table entry
- vlan
Id number - The VLAN ID of the ARP table entry
- ip str
- The IP address of the ARP table entry
- last_
updated_ strat - Time of the last update of the ARP table entry
- mac str
- The MAC address of the ARP table entry
- vlan_
id int - The VLAN ID of the ARP table entry
- ip String
- The IP address of the ARP table entry
- last
Updated StringAt - Time of the last update of the ARP table entry
- mac String
- The MAC address of the ARP table entry
- vlan
Id Number - The VLAN ID of the ARP table entry
GetLiveToolsArpTableItemRequest
- Serial string
- Device serial number
- Serial string
- Device serial number
- serial String
- Device serial number
- serial string
- Device serial number
- serial str
- Device serial number
- serial String
- Device serial number
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
